//! # CRC's from scratch, nothing else
//!
//! This crate implements some CRC algorithms from scratch in a `no_std` environment.
//!
//! ## Acknowledgements
//!
//! Many thanks to the [crc-catalogue](https://reveng.sourceforge.io/crc-catalogue/) for providing
//! an overview over the various algorithms with test vectors and examples.

#![cfg_attr(not(any(test, feature = "std")), no_std)]

pub mod crc;
pub mod hash;

pub(crate) mod ffi;
pub use ffi::ffi_is_loaded;
